# import to pclinuxos by Daniel Meiß-Wilhelm on 12.14.2013
#  PCLinuxOS Copyright by Bill Reynolds (Texstar.)
######
Name: 		dunst
Version: 	1.3.2
Release:	%mkrel 1
Summary: 	Simple and configurable notification-daemon
Summary(de):	Einfacher zu bedienender Benachrichtigung Dienst
Group:		System/Libraries
License: 	BSD and MIT
URL: 		http://www.knopwob.org/dunst
Source0: 	http://www.knopwob.org/public/dunst-release/%{name}-%{version}.tar.xz
Requires: 	dbus
Requires:	dbus-x11
#-------------------------------------------
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xinerama-devel
BuildRequires: %{_lib}xft-devel
BuildRequires: %{_lib}xscrnsaver-devel
BuildRequires: libxdg-basedir-devel
BuildRequires: dbus-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}notify-devel
#-------------------------------------------
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Provides:	virtual-notification-daemon


%description
Dunst is a highly configurable and lightweight notification daemon with the
similar look and feel to dmenu.

%description -l de
Dunst ist eine hochgradig konfigurierbare und leichter Benachrichtigung Dienst 
der dem dmenu ähnelt.


%prep
%setup -q


%build
make %{?_smp_mflags} VERSION=%{version} PREFIX=%{_prefix} EXTRACFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

#add a starter in /etc/xdg/autostart
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cat > %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Dunst Daemon
Exec=%{name} startup_notification
Terminal=false
Type=Application
Version=%{version}
EOF

%posttrans
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
do if [ ! -d /home/$idx/.config/%{name} ]; then
mkdir /home/$idx/.config/%{name}
chown $idx.`id -gn $idx` /home/$idx/.config/%{name}
cp %{_datadir}/%{name}/dunstrc /home/$idx/.config/%{name}/
chown $idx.`id -gn $idx` /home/$idx/.config/%{name}/dunstrc
fi
done
%post
echo "Note: The dunstrc is installed under ~/.config/%{name}."
echo "************************************************"
echo "Hinweis: Die dunstrc wurde unter ~/.config/%{name} installiert."



%files
%defattr(-,root,root)
%doc AUTHORS LICENSE
%{_bindir}/%{name}
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_datadir}/dbus-1/services/org.knopwob.%{name}.service
%{_datadir}/%{name}
%{_datadir}/man/man1/%{name}.1.*

%clean
rm -rf %{buildroot}


%changelog
* Sat Sep 22 2018 tex 1.3.2-1pclos2018
- new

* Wed Dec 18 2013 billybot <billybot> 1.0.0-4pclos2013
- put autostart in the /etc/xdg/autostart folder
- add BR libnotify-devel
- add prov virtual-notification-daemon

* Mon Dec 16 2013 <meisssw01 at gmail.com> 1.0.0-3pclos2013
- initial package (1)
+ add starter for autostart (2)
+ add dunstrc to users directory (3)
  (thanks to pinoc for correct way ;) )
